#!/usr/bin/env python
# -*- coding: utf-8 -*-
#
# Licensed under the GNU General Public License, version 3.
# See the file http://www.gnu.org/copyleft/gpl.txt

from pisi.actionsapi import pisitools, shelltools, get

WorkDir="."

def setup():
   #shelltools.system("unzip uyapeditor_5.4.17_amd64.deb")
    #shelltools.system("cd uyapeditor-5417-amd6403-06-20263-09-pm")
    shelltools.system("ar xvf uyapeditor_5.4.17_amd64.deb")
    shelltools.system("tar xvf data.tar.xz")

def install():
    pisitools.insinto("/usr", "%s/usr/*" % get.workDIR())

    #fixed the authentication problem.
    shelltools.system("chmod -R 0755 %s/usr/share/UYAPEditor/*" % get.installDIR())
